Bug 135420 - FILESAVE (Calc-large-spreadsheets): Can't save large spreadsheet correctly
Summary: FILESAVE (Calc-large-spreadsheets): Can't save large spreadsheet correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2020-08-03 17:46 UTC by Andrey
Modified: 2022-02-14 12:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey 2020-08-03 17:46:01 UTC
Description:
After enabling Support_for_very_large_spreadsheets it can read these big .xlsx and it can create spreadsheets with more than 1024 columns, but it can't save it in any way. The saved file is corrupt :(
The sheet with values in XFA1 and XFB7 created in MS Excel and saved as xlsx and ods opens with no error but the values are moved to AMK1 and AML7, accordingly.
The same result is in case of creation in Calc (XFA1 and XFB7) and saving in ods format.


Steps to Reproduce:
1. Enable large spreadsheets
2. Type some data to XFA1 and XFB7
3. Save spreadsheet as .ods or something other
4. Open saved file and check values at XFA1 / XFB7 and at AMK1 / AML7


Actual Results:
The values are moved from XFA1 / XFB7 to  AMK1 / AML7 accordingly.


Expected Results:
The values should be save at the correct cells.



Reproducible: Always


User Profile Reset: No



Additional Info:
Windows 10 x64, LibreOffice_7.0.0.1_Win_x64
Windows 10 x64, LibreOffice_7.0.0.2_Win_x64
Windows 10 x64, LibreOffice_7.0.0.3_Win_x64
Windows 10 x64, LibreOfficeDev_7.0.1.0.0_Win_x64
Comment 1 Roman Kuznetsov 2020-08-04 19:31:46 UTC
confirm in

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Mac OS X 10.15.5; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded
Comment 2 Roman Kuznetsov 2020-09-16 20:43:48 UTC
in

Version: 7.1.0.0.alpha0+
Build ID: 8c18cd6823ddf4ef5ba67801a84cee26c9b5a9a6
CPU threads: 4; OS: Mac OS X 10.15.6; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded

Calc can't open file with data in XFA1 / XFB7 cells and just crashes (I'll create a new bug report)
Comment 3 Luboš Luňák 2022-02-14 12:28:17 UTC
Fixed by my recent commits.